Food Ordering AI Agent API

foodorderingaiagent.googleapis.com API。

服務:foodorderingaiagent.googleapis.com

如要呼叫這項服務,建議您使用 Google 提供的用戶端程式庫。如果您的應用程式需要使用自己的程式庫呼叫這項服務,請在發出 API 要求時使用下列資訊。

導覽文件

導覽文件是一種機器可解讀的規格,用於說明和使用 REST API。此文件會用於建構用戶端程式庫、IDE 外掛程式,以及與 Google API 互動的其他工具。一項服務可能會提供多個導覽文件,而這項服務提供下列內容:

服務端點

服務端點是能指定 API 服務網路位址的基準網址。一項服務可能有多個服務端點,而這項服務有下列服務端點,以及和該服務端點相關的所有 URI:

  • https://foodorderingaiagent.googleapis.com

REST 資源:v1beta.projects.locations.brands

方法
create POST /v1beta/{parent=projects/*/locations/*}/brands
建立品牌。
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*}
刪除指定品牌。
get GET /v1beta/{name=projects/*/locations/*/brands/*}
取得品牌。
list GET /v1beta/{parent=projects/*/locations/*}/brands
列出品牌。
listHistory GET /v1beta/{parent=projects/*/locations/*/brands/*}:listHistory
列出品牌的歷史記錄項目。
patch PATCH /v1beta/{brand.name=projects/*/locations/*/brands/*}
更新指定的品牌。

REST 資源:v1beta.projects.locations.brands.channelConfigs

方法
create POST /v1beta/{parent=projects/*/locations/*/brands/*}/channelConfigs
建立 ChannelConfig。
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/channelConfigs/*}
刪除指定的 ChannelConfig。
get GET /v1beta/{name=projects/*/locations/*/brands/*/channelConfigs/*}
取得 ChannelConfig。
list GET /v1beta/{parent=projects/*/locations/*/brands/*}/channelConfigs
列出 ChannelConfig。
patch PATCH /v1beta/{channelConfig.name=projects/*/locations/*/brands/*/channelConfigs/*}
更新指定的 ChannelConfig。
promote POST /v1beta/{name=projects/*/locations/*/brands/*/channelConfigs/*}:promote
升級指定的頻道設定。

REST 資源:v1beta.projects.locations.brands.channelConfigs.revisions

方法
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/channelConfigs/*/revisions/*}
刪除指定的 ChannelConfigRevision。
get GET /v1beta/{name=projects/*/locations/*/brands/*/channelConfigs/*/revisions/*}
取得 ChannelConfig 修訂版本。
list GET /v1beta/{parent=projects/*/locations/*/brands/*/channelConfigs/*}/revisions
列出 ChannelConfig 修訂版本。

REST 資源:v1beta.projects.locations.brands.configApplicationRules

方法
create POST /v1beta/{parent=projects/*/locations/*/brands/*}/configApplicationRules
建立 ConfigApplicationRule。
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/configApplicationRules/*}
刪除指定的 ConfigApplicationRule。
get GET /v1beta/{name=projects/*/locations/*/brands/*/configApplicationRules/*}
取得 ConfigApplicationRule。
list GET /v1beta/{parent=projects/*/locations/*/brands/*}/configApplicationRules
列出 ConfigApplicationRules。
patch PATCH /v1beta/{configApplicationRule.name=projects/*/locations/*/brands/*/configApplicationRules/*}
更新指定的 ConfigApplicationRule。

REST 資源:v1beta.projects.locations.brands.configApplicationRules.revisions

方法
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/configApplicationRules/*/revisions/*}
刪除指定的 ConfigApplicationRuleRevision。
get GET /v1beta/{name=projects/*/locations/*/brands/*/configApplicationRules/*/revisions/*}
取得 ConfigApplicationRuleRevision。
list GET /v1beta/{parent=projects/*/locations/*/brands/*/configApplicationRules/*}/revisions
列出 ConfigApplicationRuleRevisions。

REST 資源:v1beta.projects.locations.brands.revisions

方法
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/revisions/*}
刪除指定的 BrandRevision。
get GET /v1beta/{name=projects/*/locations/*/brands/*/revisions/*}
取得 BrandRevision。
list GET /v1beta/{parent=projects/*/locations/*/brands/*}/revisions
列出品牌修訂版本。

REST 資源:v1beta.projects.locations.brands.stores

方法
batchDelete POST /v1beta/{parent=projects/*/locations/*/brands/*}/stores:batchDelete
批次刪除商店。
batchUpdate POST /v1beta/{parent=projects/*/locations/*/brands/*}/stores:batchUpdate
批次更新商店。
create POST /v1beta/{parent=projects/*/locations/*/brands/*}/stores
建立儲存庫。
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/stores/*}
刪除指定商店。
get GET /v1beta/{name=projects/*/locations/*/brands/*/stores/*}
取得儲存庫。
list GET /v1beta/{parent=projects/*/locations/*/brands/*}/stores
列出商店。
patch PATCH /v1beta/{store.name=projects/*/locations/*/brands/*/stores/*}
更新指定的商店。

REST 資源:v1beta.projects.locations.brands.stores.revisions

方法
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/stores/*/revisions/*}
刪除指定的 StoreRevision。
get GET /v1beta/{name=projects/*/locations/*/brands/*/stores/*/revisions/*}
取得 StoreRevision。
list GET /v1beta/{parent=projects/*/locations/*/brands/*/stores/*}/revisions
列出 StoreRevisions。

REST 資源:v1beta.projects.locations.menus

方法
create POST /v1beta/{parent=projects/*/locations/*}/menus
建立選單。
delete DELETE /v1beta/{name=projects/*/locations/*/menus/*}
刪除指定選單。
get GET /v1beta/{name=projects/*/locations/*/menus/*}
取得菜單。
list GET /v1beta/{parent=projects/*/locations/*}/menus
列出選單。

REST 資源:v1beta.projects.locations.menus.entities

方法
batchGet GET /v1beta/{parent=projects/*/locations/*/menus/*}/entities:batchGet
批次取得選單的實體。

REST 資源:v1.projects.locations.brands

方法
create POST /v1/{parent=projects/*/locations/*}/brands
建立品牌。
delete DELETE /v1/{name=projects/*/locations/*/brands/*}
刪除指定品牌。
get GET /v1/{name=projects/*/locations/*/brands/*}
取得品牌。
list GET /v1/{parent=projects/*/locations/*}/brands
列出品牌。
listHistory GET /v1/{parent=projects/*/locations/*/brands/*}:listHistory
列出品牌的歷史記錄項目。
patch PATCH /v1/{brand.name=projects/*/locations/*/brands/*}
更新指定的品牌。

REST 資源:v1.projects.locations.brands.channelConfigs

方法
create POST /v1/{parent=projects/*/locations/*/brands/*}/channelConfigs
建立 ChannelConfig。
delete DELETE /v1/{name=projects/*/locations/*/brands/*/channelConfigs/*}
刪除指定的 ChannelConfig。
get GET /v1/{name=projects/*/locations/*/brands/*/channelConfigs/*}
取得 ChannelConfig。
list GET /v1/{parent=projects/*/locations/*/brands/*}/channelConfigs
列出 ChannelConfig。
patch PATCH /v1/{channelConfig.name=projects/*/locations/*/brands/*/channelConfigs/*}
更新指定的 ChannelConfig。
promote POST /v1/{name=projects/*/locations/*/brands/*/channelConfigs/*}:promote
升級指定的頻道設定。

REST 資源:v1.projects.locations.brands.channelConfigs.revisions

方法
delete DELETE /v1/{name=projects/*/locations/*/brands/*/channelConfigs/*/revisions/*}
刪除指定的 ChannelConfigRevision。
get GET /v1/{name=projects/*/locations/*/brands/*/channelConfigs/*/revisions/*}
取得 ChannelConfig 修訂版本。
list GET /v1/{parent=projects/*/locations/*/brands/*/channelConfigs/*}/revisions
列出 ChannelConfig 修訂版本。

REST 資源:v1.projects.locations.brands.configApplicationRules

方法
create POST /v1/{parent=projects/*/locations/*/brands/*}/configApplicationRules
建立 ConfigApplicationRule。
delete DELETE /v1/{name=projects/*/locations/*/brands/*/configApplicationRules/*}
刪除指定的 ConfigApplicationRule。
get GET /v1/{name=projects/*/locations/*/brands/*/configApplicationRules/*}
取得 ConfigApplicationRule。
list GET /v1/{parent=projects/*/locations/*/brands/*}/configApplicationRules
列出 ConfigApplicationRules。
patch PATCH /v1/{configApplicationRule.name=projects/*/locations/*/brands/*/configApplicationRules/*}
更新指定的 ConfigApplicationRule。

REST 資源:v1.projects.locations.brands.configApplicationRules.revisions

方法
delete DELETE /v1/{name=projects/*/locations/*/brands/*/configApplicationRules/*/revisions/*}
刪除指定的 ConfigApplicationRuleRevision。
get GET /v1/{name=projects/*/locations/*/brands/*/configApplicationRules/*/revisions/*}
取得 ConfigApplicationRuleRevision。
list GET /v1/{parent=projects/*/locations/*/brands/*/configApplicationRules/*}/revisions
列出 ConfigApplicationRuleRevisions。

REST 資源:v1.projects.locations.brands.revisions

方法
delete DELETE /v1/{name=projects/*/locations/*/brands/*/revisions/*}
刪除指定的 BrandRevision。
get GET /v1/{name=projects/*/locations/*/brands/*/revisions/*}
取得 BrandRevision。
list GET /v1/{parent=projects/*/locations/*/brands/*}/revisions
列出品牌修訂版本。

REST 資源:v1.projects.locations.brands.stores

方法
batchDelete POST /v1/{parent=projects/*/locations/*/brands/*}/stores:batchDelete
批次刪除商店。
batchUpdate POST /v1/{parent=projects/*/locations/*/brands/*}/stores:batchUpdate
批次更新商店。
create POST /v1/{parent=projects/*/locations/*/brands/*}/stores
建立儲存庫。
delete DELETE /v1/{name=projects/*/locations/*/brands/*/stores/*}
刪除指定商店。
get GET /v1/{name=projects/*/locations/*/brands/*/stores/*}
取得儲存庫。
list GET /v1/{parent=projects/*/locations/*/brands/*}/stores
列出商店。
patch PATCH /v1/{store.name=projects/*/locations/*/brands/*/stores/*}
更新指定的商店。

REST 資源:v1.projects.locations.brands.stores.revisions

方法
delete DELETE /v1/{name=projects/*/locations/*/brands/*/stores/*/revisions/*}
刪除指定的 StoreRevision。
get GET /v1/{name=projects/*/locations/*/brands/*/stores/*/revisions/*}
取得 StoreRevision。
list GET /v1/{parent=projects/*/locations/*/brands/*/stores/*}/revisions
列出 StoreRevisions。

REST 資源:v1.projects.locations.menus

方法
create POST /v1/{parent=projects/*/locations/*}/menus
建立選單。
delete DELETE /v1/{name=projects/*/locations/*/menus/*}
刪除指定選單。
get GET /v1/{name=projects/*/locations/*/menus/*}
取得菜單。
list GET /v1/{parent=projects/*/locations/*}/menus
列出選單。

REST 資源:v1.projects.locations.menus.entities

方法
batchGet GET /v1/{parent=projects/*/locations/*/menus/*}/entities:batchGet
批次取得選單的實體。